package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;

/**
 * 仓库对象 WmsWarehouse
 *
 * @author 杨晓辉
 * @date 2023-05-25
 */
public class WmsWarehouse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 仓库标识 */
    private String warehouseId;

    /** 仓库名称 */
    @Excel(name = "仓库名称")
    @NotBlank(message = "仓库名称不能是空值")
    private String warehouseName;

    /** 仓库类型 */
    @Excel(name = "仓库类型")
    @NotBlank(message = "仓库类型不能是空值")
    private String warehouseType;

    /** 仓库使用状态 */
    @Excel(name = "仓库使用状态")
    @NotBlank(message = "仓库使用状态不能是空值")
    private String warehouseUsestatus;

    /** 仓库负责人 */
    @Excel(name = "仓库负责人")
    private String warehouseManager;

    /** 仓库负责人名称 */
    @Excel(name = "仓库负责人名称")
    private String warehouseManagername;

    /** 仓库创建人 */
    @Excel(name = "仓库创建人")
    private String warehouseCreator;

    /** 仓库创建人名称 */
    @Excel(name = "仓库创建人名称")
    private String warehouseCreatorname;

    /** 仓库创建时间 */
    @Excel(name = "仓库创建时间")
    private String warehouseCreateddate;

    public void setWarehouseId(String warehouseId)
    {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseId()
    {
        return warehouseId;
    }
    public void setWarehouseName(String warehouseName)
    {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseName()
    {
        return warehouseName;
    }
    public void setWarehouseType(String warehouseType)
    {
        this.warehouseType = warehouseType;
    }

    public String getWarehouseType()
    {
        return warehouseType;
    }
    public void setWarehouseUsestatus(String warehouseUsestatus)
    {
        this.warehouseUsestatus = warehouseUsestatus;
    }

    public String getWarehouseUsestatus()
    {
        return warehouseUsestatus;
    }
    public void setWarehouseManager(String warehouseManager)
    {
        this.warehouseManager = warehouseManager;
    }

    public String getWarehouseManager()
    {
        return warehouseManager;
    }
    public void setWarehouseManagername(String warehouseManagername)
    {
        this.warehouseManagername = warehouseManagername;
    }

    public String getWarehouseManagername()
    {
        return warehouseManagername;
    }
    public void setWarehouseCreator(String warehouseCreator)
    {
        this.warehouseCreator = warehouseCreator;
    }

    public String getWarehouseCreator()
    {
        return warehouseCreator;
    }
    public void setWarehouseCreatorname(String warehouseCreatorname)
    {
        this.warehouseCreatorname = warehouseCreatorname;
    }

    public String getWarehouseCreatorname()
    {
        return warehouseCreatorname;
    }
    public void setWarehouseCreateddate(String warehouseCreateddate)
    {
        this.warehouseCreateddate = warehouseCreateddate;
    }

    public String getWarehouseCreateddate()
    {
        return warehouseCreateddate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("warehouseId", getWarehouseId())
                .append("warehouseName", getWarehouseName())
                .append("warehouseType", getWarehouseType())
                .append("warehouseUsestatus", getWarehouseUsestatus())
                .append("warehouseManager", getWarehouseManager())
                .append("warehouseManagername", getWarehouseManagername())
                .append("warehouseCreator", getWarehouseCreator())
                .append("warehouseCreatorname", getWarehouseCreatorname())
                .append("warehouseCreateddate", getWarehouseCreateddate())
                .toString();
    }
}
